<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sticki Positioning Demo</title>
    <style>
        * {
            font-family: Arial;
            margin: 0;
            padding: 0;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }
        #container {
            width: 300px;
            height: 200px;
            background: lightblue;
            overflow-y: auto;
            overflow-x: hidden;
        }
        .title-1 {
            background: lightcyan;
            position: sticky;
            top: 0;
        }
        .title-2 {
            background: lightgray;
            position: sticky;
            top: 0;
        }
        .title-3 {
            background: lightgreen;
            position: sticky;
            top: 0;
        }
        .title-4 {
            background: lightpink;
            position: sticky;
            top: 0;
        }
        .title-5 {
            background: limegreen;
            position: sticky;
            top: 0;
        }
    </style>
</head>

<body>
    <div id="container">
        <h2 class="title-1">
            Päis 1
        </h2>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Eveniet, aspernatur aliquid nesciunt minima quam libero quae, repudiandae sequi debitis quo maiores iusto exercitationem? Laborum error, accusamus maiores neque assumenda officia.
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Iure impedit voluptatibus, nam porro tempore voluptas sunt, tenetur ad cupiditate nemo minima magnam distinctio error at saepe recusandae, libero illo incidunt!
        </p>        
        <h3 style="position: sticky; top: 0px; left: 50px; margin-left: 75px;">Alampäis</h3>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorum, quasi? Quisquam quidem nemo nostrum reiciendis voluptatem, aliquam sunt omnis modi laboriosam non quam exercitationem, sint et dolorem, enim possimus quibusdam?
        </p>
        <h2 class="title-2">
            Päis 2
        </h2>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Asperiores magnam consequuntur deleniti dolores quas accusantium sapiente illum necessitatibus odit corrupti fugit natus, voluptate architecto eos odio ad doloremque non! Debitis?
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Qui eos cumque fugit perferendis, vitae porro asperiores eaque harum dolore magni fugiat dolores rerum reprehenderit ipsum culpa labore voluptates quo debitis?
        </p>
        <h2 class="title-3">
            Päis 3
        </h2>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Illo nam qui cum, maiores earum excepturi quaerat quasi ratione iure vero deserunt fugiat voluptates repellat veniam voluptas. Eligendi fugiat ratione beatae.
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Aspernatur dolorum doloremque sit eveniet quasi ex quibusdam reprehenderit maiores maxime delectus blanditiis magnam odit aliquam, aperiam pariatur. Repudiandae animi cum hic.
        </p>
        <h2 class="title-4">
            Päis 4
        </h2>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Est eaque tenetur illum! Sed illum voluptatem harum quia id libero animi cumque distinctio doloribus neque, reprehenderit consequuntur voluptates ipsa, nisi nostrum.
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Exercitationem atque magnam aliquid laboriosam dolore consectetur blanditiis unde nihil dolor ipsam? Laborum optio cupiditate omnis harum similique labore laboriosam in doloremque?
        </p>
        <h2 class="title-5">
            Päis 5
        </h2>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Repellat quae ipsa ducimus, libero nostrum itaque iure quis officia cumque deserunt asperiores dignissimos facilis, nulla ratione quod non modi, dolore beatae.
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Eveniet, facilis. Harum enim impedit, veniam voluptates temporibus eaque alias molestias quas? Voluptatem, reprehenderit? Nulla voluptatem illum dolor aliquam placeat, iusto quis.
        </p>
    </div>
</body>

</html>